//+------------------------------------------------------------------+
//|                                           Multiple Force Cross   |
//+------------------------------------------------------------------+
 
#property indicator_chart_window
#property indicator_buffers 2
#property indicator_color1 LimeGreen
#property indicator_color2 Red
 
double CrossUp[];
double CrossDown[];
extern int BarsToProcess = 20;
 
 
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexStyle(0, DRAW_ARROW, EMPTY,3);
   SetIndexArrow(0, 233);
   SetIndexBuffer(0, CrossUp);
   SetIndexStyle(1, DRAW_ARROW, EMPTY,3);
   SetIndexArrow(1, 234);
   SetIndexBuffer(1, CrossDown);
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//---- 
 
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
  
   //int BarsToProcess = 1000;
   bool PForce2Buy = false, PForce13Buy = false, PForce26Buy = false;
   bool PForce2Sell = false, PForce13Sell = false, PForce26Sell = false;
   double PForce_2[];
   double PForce_13[];
   double PForce_26[];
   
   ArrayResize(PForce_2, BarsToProcess+3);
   ArrayResize(PForce_13, BarsToProcess+3);
   ArrayResize(PForce_26, BarsToProcess+3);
 
   // get some values
   for(int i = BarsToProcess+2; i >= 0; i--){
   //for (int i = BarsToProcess+2; i >= 0; i++) {
   PForce_2[i]  = iForce(NULL, 0, 2, MODE_SMA,PRICE_CLOSE,i);
   PForce_13[i] = iForce(NULL, 0, 13,MODE_SMA,PRICE_CLOSE,i);
   PForce_26[i] = iForce(NULL, 0, 26,MODE_SMA,PRICE_CLOSE,i);
 
      
   
 
   // Check conditions
   for( i = BarsToProcess; i >= 0; i--){
   //for (i = BarsToProcess; i >= 0; i++) {
      CrossDown[i]=EMPTY_VALUE;
      CrossUp[i]=EMPTY_VALUE;
      
      if(  PForce_2[i+2]  < 350 && PForce_2[i+1] > 350 && PForce_2[i] < 350 ) PForce2Sell  = true;
 
      if(  PForce_13[i+2] < 200 && PForce_13[i+1] > 200 && PForce_13[i] < 200 ) PForce13Sell = true;
 
      if( (PForce_26[i+2] <= 100   &&  PForce_26[i+2] >= 50)   && (PForce_26[i+1] >  100 ) && (PForce_26[i]   <= 100   &&  PForce_26[i]   >= 50 )) PForce26Sell = true;
 
      if(  PForce_2[i+2]  > -350 && PForce_2[i+1] < -350 && PForce_2[i] > -350 ) PForce2Buy  = true;
 
      if(  PForce_13[i+2] > -200 && PForce_13[i+1] < -200 && PForce_13[i] > -200 ) PForce13Buy = true;
 
      if( (PForce_26[i+2] >= -100   &&  PForce_26[i+2] <= -50)   && (PForce_26[i+1] <  -100 ) && (PForce_26[i]   >= -100   &&  PForce_26[i]   <= -50 )) PForce26Buy = true;
   
 
   // if all conditions met
   if( PForce2Buy == true && PForce13Buy == true && PForce26Buy == true)  CrossUp[i] = Low[i] - 25*Point;
      
    if( PForce2Sell == true && PForce13Sell == true && PForce26Sell == true) CrossDown[i] = High[i] + 25*Point;
      
   
   }
   }
 
   return(0);
}